\begin{figure}
\begin{center}
    \includegraphics[width=0.45\textwidth]
        {figures/rates/ml_performance_surface_brightness.pdf}
    \includegraphics[width=0.45\textwidth]
        {figures/rates/ml_performance_medsky.pdf}
    \includegraphics[width=0.45\textwidth]
        {figures/rates/ml_performance_lmt_mag.pdf}
    \includegraphics[width=0.45\textwidth]
        {figures/rates/ml_performance_phi_IQ.pdf}
\end{center}
\caption[Extention of Fig.~\ref{fig:efficiency_ML_performance} showing predicted
marginalized efficiency across all parameters.]{This figure is an extension of Fig.~\ref{fig:efficiency_ML_performance}. We
compare the performance of the marginalized single parameter efficiency of the trained
classifier compared to that of the original distributions in Fig.~\ref{fig:efficiency_single_parameter}.
We see the behavior of the ISP being reproduced by feeding the classifier a few thousand points.
}
\label{fig:ml_performace_extended}
\end{figure}
In Fig.~\ref{fig:efficiency_ML_performance}, we made a comparison
between the marginalized single parameter efficiency for the single-epoch
transient brightness from the classifier predictions.
Here, we show it for the remaining parameters. While the final classifier is
trained on the full dataset, to make the comparison, we train it on
$90\%$ of the total fake point source simulations we performed, as mentioned
in Sec.~\ref{sec:point_source_transients}. From the remaining $10\%$ sample size,
we make a random selection of points (progressively increasing), feed them to the
classifier and bin the results in the same manner as in
Fig.~\ref{fig:efficiency_single_parameter} to compare marginalized efficiency plots.
These are shown in Fig.~\ref{fig:ml_performace_extended} and
Fig.~\ref{fig:efficiency_ML_performance}, the latter presented earlier.
We see that the behavior starts to converge to that of the ISP in a few
thousand points.
